package com.zxhl.main.page.contract

import com.zxhl.cms.net.model.box.HomeListEntity
import com.zxhl.cms.net.model.chat.DistanceEntity
import com.zxhl.cms.net.model.chat.RecommendEntity


class HomeContract {
    interface View {
        fun setHomeData(boolean: Boolean,reslut: List<HomeListEntity>?)
       fun setLoadMore(isBoolean: Boolean)
        fun getHomeDataFail()
        fun newUserReceiveSuc()
        fun newUserReceivefail()
        fun likeSuc()
        fun setRecommend(reslut:RecommendEntity?)
        fun distanceSuc(reslut:DistanceEntity?)
        fun distanceFail()
    }

    interface Presenter {
        fun getHomeList(ifRefresh:Boolean,free:Int,category:String)
        fun getNewUserReceive()
        fun likeUser(uid: String?,free:String)
        fun clearPage()
        fun getRecommend()
        fun getDistance(free: Int,uid: String?)
    }
}